<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.goods.mapper.ActiveIdAndGoodsIdMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="activeIdAndGoodsIdResultMap" type="org.springblade.sing.goods.entity.ActiveIdAndGoodsId">
        <id column="active_id" property="activeId"/>
        <result column="goods_id" property="goodsId"/>
    </resultMap>


    <select id="selectActiveIdAndGoodsIdPage" resultMap="activeIdAndGoodsIdResultMap">
        select * from sing_active_id_and_goods_id where is_deleted = 0
    </select>

</mapper>
